Bug 807576 - [abrt] PackageKit-0.6.19-3.fc16: g_object_get: Process /usr/bin/pkcon was killed by signal 11 (SIGSEGV)
Summary: [abrt] PackageKit-0.6.19-3.fc16: g_object_get: Process /usr/bin/pkcon was kil...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 16
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:565fbcb373e50fff7cb09778532...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 08:37 UTC by mikolajbugs
Modified: 2013-02-13 14:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:42:23 UTC
Type: ---


Attachments (Terms of Use)

Description mikolajbugs 2012-03-28 08:37:47 UTC
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        pkcon -p get-depends se
comment:        I was trying to install emacs.
crash_function: g_object_get
executable:     /usr/bin/pkcon
kernel:         3.1.0-7.fc16.i686
reason:         Process /usr/bin/pkcon was killed by signal 11 (SIGSEGV)
time:           Wed Mar 28 09:31:11 2012
uid:            1000
username:       mikolaj

backtrace:
:[New LWP 2241]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib/libthread_db.so.1".
:Core was generated by `pkcon -p get-depends se'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x00d22b8f in g_object_get (_object=0x409, first_property_name=0x8051f41 "package-id") at gobject.c:1881
:1881	gobject.c: No such file or directory.
:	in gobject.c
:
:Thread 1 (Thread 0xb787c740 (LWP 2241)):
:#0  0x00d22b8f in g_object_get (_object=0x409, first_property_name=0x8051f41 "package-id") at gobject.c:1881
:        __inst = 0x409
:        __r = <optimized out>
:        _g_boolean_var_ = <optimized out>
:        object = 0x409
:        var_args = <optimized out>
:        __PRETTY_FUNCTION__ = "g_object_get"
:#1  0x0804f9a4 in pk_console_resolve_package (client=0x92c9818, filter=2, package_name=0xbfac8ae6 "se", error=0xbfac883c) at pk-console-shared.c:211
:        package_id_tmp = <optimized out>
:        package_id = 0x0
:        valid = <optimized out>
:        tmp = 0x92c8510
:        split = <optimized out>
:        results = <optimized out>
:        array = 0x92b6408
:        i = <optimized out>
:        printable = <optimized out>
:        package = <optimized out>
:        error_code = <optimized out>
:#2  0x0804fada in pk_console_resolve_packages (client=0x92c9818, filter=2, packages=0xbfac88fc, error=0xbfac883c) at pk-console-shared.c:243
:        package_ids = 0x92c97f0
:        i = <optimized out>
:        len = 1
:#3  0x0804cad4 in pk_console_get_depends (error=0xbfac8814, packages=0xbfac88fc, filters=0) at pk-console.c:1008
:        ret = 1
:        package_ids = 0x0
:        error_local = 0x0
:#4  main (argc=3, argv=0xbfac88f4) at pk-console.c:1660
:        ret = <optimized out>
:        error = 0x0
:        error_local = 0x0
:        background = 0
:        help = 0
:        noninteractive = 0
:        cache_age = 0
:        plain = 1
:        program_version = 0
:        context = 0x92bde00
:        options_help = 0x92c88e0 "Usage:\n  pkcon [OPTION...] PackageKit Console Program\n\nPackageKit Console Interface\n\nSubcommands:\n  get-actions\n  get-groups\n  get-filters\n  get-transactions\n  get-time\n  search [name|details|group|fi"...
:        filter = 0x0
:        root = 0x0
:        summary = <optimized out>
:        mode = 0xbfac8ada "get-depends"
:        http_proxy = <optimized out>
:        ftp_proxy = <optimized out>
:        value = <optimized out>
:        details = <optimized out>
:        parameter = 0x0
:        groups = <optimized out>
:        text = <optimized out>
:        filters = 0
:        options = {{long_name = 0x805227e "version", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfac8830, description = 0x80529e0 "Show the program version and exit", arg_description = 0x0}, {long_name = 0x8052286 "filter", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_STRING, arg_data = 0xbfac8834, description = 0x8052a04 "Set the filter, e.g. installed", arg_description = 0x0}, {long_name = 0x805228d "root", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_STRING, arg_data = 0xbfac8838, description = 0x8052a24 "Set the install root, e.g. '/' or '/mnt/ltsp'", arg_description = 0x0}, {long_name = 0x8052292 "nowait", short_name = 110 'n', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x80562d0, description = 0x8052a54 "Exit without waiting for actions to complete", arg_description = 0x0}, {long_name = 0x8052299 "noninteractive", short_name = 121 'y', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfac8824, description = 0x8052a84 "Install the packages without asking for confirmation", arg_description = 0x0}, {long_name = 0x80522a8 "background", short_name = 110 'n', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfac881c, description = 0x8052abc "Run the command using idle network bandwidth and also using less power", arg_description = 0x0}, {long_name = 0x80522b3 "plain", short_name = 112 'p', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfac882c, description = 0x8052b04 "Print to screen a machine readable output, rather than using animated widgets", arg_description = 0x0}, {long_name = 0x80522b9 "cache-age", short_name = 99 'c', flags = 0, arg = G_OPTION_ARG_INT, arg_data = 0xbfac8828, description = 0x8052b54 "The maximum metadata cache age. Use -1 for 'never'.", arg_description = 0x0}, {long_name = 0x80522c3 "help", short_name = 104 'h', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfac8820, description = 0x80522c8 "Show help options.", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:From        To          Syms Read   Shared Object Library
:0x004d0a80  0x00501f08  Yes         /usr/lib/libpackagekit-glib2.so.14
:0x00130ee0  0x001fbc48  Yes         /lib/libgio-2.0.so.0
:0x00d7ebf0  0x00d7fd78  Yes         /lib/libgmodule-2.0.so.0
:0x0083a510  0x0084e46c  Yes         /usr/lib/libdbus-glib-1.so.2
:0x00d152b0  0x00d481f8  Yes         /lib/libgobject-2.0.so.0
:0x0086a6a0  0x00899f28  Yes         /lib/libdbus-1.so.3
:0x00259680  0x002656e8  Yes         /lib/libpthread.so.0
:0x00270ec0  0x00272608  Yes         /lib/libgthread-2.0.so.0
:0x009c7920  0x009cba98  Yes         /lib/librt.so.1
:0x00dae0f0  0x00e4c9b8  Yes         /lib/libglib-2.0.so.0
:0x0027d320  0x002addb8  Yes         /usr/lib/libarchive.so.2
:0x00bea730  0x00c67d38  Yes         /usr/lib/libsqlite3.so.0
:0x00542e90  0x00679d44  Yes         /lib/libc.so.6
:0x0070a020  0x0070d678  Yes         /usr/lib/libffi.so.5
:0x00933a60  0x00934a88  Yes         /lib/libdl.so.2
:0x002c0670  0x002cd96c  Yes         /lib/libz.so.1
:0x002d9670  0x002eb248  Yes         /lib/libselinux.so.1
:0x002f7670  0x00308098  Yes         /lib/libresolv.so.2
:0x00314850  0x0032dedf  Yes         /lib/ld-linux.so.2
:0x00338640  0x0033ccec  Yes         /lib/libacl.so.1
:0x00cbcde0  0x00cbf3bc  Yes         /lib/libattr.so.1
:0x00438260  0x00452c48  Yes         /usr/lib/liblzma.so.5
:0x00340000  0x0034c35c  Yes         /lib/libbz2.so.1
:0x009ebc80  0x00ad6bec  Yes         /usr/lib/libxml2.so.2
:0x007b0420  0x007cb3a8  Yes         /lib/libm.so.6
:0x00ef4ec0  0x00fdd4d8  Yes         /lib/libcrypto.so.10
:$1 = 0x0
:$2 = 0x0
:eax            0x409	1033
:ecx            0x0	0
:edx            0x92d9a40	153983552
:ebx            0xd5aff4	14004212
:esp            0xbfac85c0	0xbfac85c0
:ebp            0x92e4f18	0x92e4f18
:esi            0x409	1033
:edi            0x92b6408	153838600
:eip            0xd22b8f	0xd22b8f <g_object_get+31>
:eflags         0x210206	[ PF IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function g_object_get:
:   0x00d22b70 <+0>:	lea    -0x1c(%esp),%esp
:   0x00d22b74 <+4>:	mov    %esi,0x18(%esp)
:   0x00d22b78 <+8>:	mov    0x20(%esp),%esi
:   0x00d22b7c <+12>:	mov    %ebx,0x14(%esp)
:   0x00d22b80 <+16>:	call   0xd156f9 <__i686.get_pc_thunk.bx>
:   0x00d22b85 <+21>:	add    $0x3846f,%ebx
:   0x00d22b8b <+27>:	test   %esi,%esi
:   0x00d22b8d <+29>:	je     0xd22bae <g_object_get+62>
:=> 0x00d22b8f <+31>:	mov    (%esi),%eax
:   0x00d22b91 <+33>:	test   %eax,%eax
:   0x00d22b93 <+35>:	je     0xd22b9a <g_object_get+42>
:   0x00d22b95 <+37>:	cmpl   $0x50,(%eax)
:   0x00d22b98 <+40>:	je     0xd22be0 <g_object_get+112>
:   0x00d22b9a <+42>:	movl   $0x50,0x4(%esp)
:   0x00d22ba2 <+50>:	mov    %esi,(%esp)
:   0x00d22ba5 <+53>:	call   0xd3f720 <g_type_check_instance_is_a>
:   0x00d22baa <+58>:	test   %eax,%eax
:   0x00d22bac <+60>:	jne    0xd22be0 <g_object_get+112>
:   0x00d22bae <+62>:	lea    -0x11288(%ebx),%eax
:   0x00d22bb4 <+68>:	mov    %eax,0x8(%esp)
:   0x00d22bb8 <+72>:	lea    -0x10363(%ebx),%eax
:   0x00d22bbe <+78>:	mov    %eax,0x4(%esp)
:   0x00d22bc2 <+82>:	lea    -0x12d70(%ebx),%eax
:   0x00d22bc8 <+88>:	mov    %eax,(%esp)
:   0x00d22bcb <+91>:	call   0xd14e50 <g_return_if_fail_warning@plt>
:   0x00d22bd0 <+96>:	mov    0x14(%esp),%ebx
:   0x00d22bd4 <+100>:	mov    0x18(%esp),%esi
:   0x00d22bd8 <+104>:	lea    0x1c(%esp),%esp
:   0x00d22bdc <+108>:	ret    
:   0x00d22bdd <+109>:	lea    0x0(%esi),%esi
:   0x00d22be0 <+112>:	lea    0x28(%esp),%eax
:   0x00d22be4 <+116>:	mov    %eax,0x8(%esp)
:   0x00d22be8 <+120>:	mov    0x24(%esp),%eax
:   0x00d22bec <+124>:	mov    %esi,(%esp)
:   0x00d22bef <+127>:	mov    %eax,0x4(%esp)
:   0x00d22bf3 <+131>:	call   0xd226f0 <g_object_get_valist>
:   0x00d22bf8 <+136>:	mov    0x14(%esp),%ebx
:   0x00d22bfc <+140>:	mov    0x18(%esp),%esi
:   0x00d22c00 <+144>:	lea    0x1c(%esp),%esp
:   0x00d22c04 <+148>:	ret    
:End of assembler dump.

build_ids:
:a8d3c86e3ac46a3c4a4b635f6335b7952615c72f
:1df53725e371c75ee897f32d82ec0497ecbb8599
:ca369632853d336f003e5832e915ef1ed17030e7
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:59c22a603e066352375b9abf33e25e455885e29c
:1f60ce3a43a5e6db2df2252da25ac0aa9f90b6b9
:a99b592e7350bfc4e8e65cc1bb531a63fa23b91b
:4e4d4be07968a0d73bc2c63104b4b46a4480441b
:42859023e4ec83a16446984b1e0c7510a38731c4
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:641296f1c3020865058939e8629a44acffcc3339
:0c66f47155090aa88fa0174effc38414db016842
:3d265e2c372336c6df1124c690c0bf867b399995
:b5593108a0b2939f755f6c049e8c86968762978d
:fb138a019cd93aa6212be49f31654f7bcb474640
:4f1a101c1cff59daec73b4229825a63902eac86c
:82282bdd27c71e44d901db824d121545c0dc0159
:c44607ad52f9f0742390d7e8acb61b3c87fc9ba7
:266c32851662b703d539abc6028b938a718c42f6
:85d6747093886eff44cf10e88d3eb9c88b6eb95d
:4ad17dce13b95c3f6543c3ab56624e321dc1fce8
:f09e7f889204d4217a287a78bf2dd1eb20497f80
:0e75ef48aae0e7254937a3baffabb6f878acfeca
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:e4dd9dee281eb3fc78fc22ac70cf6610988ec88f
:64b9eb7d57cddcd924c522f1332042dbe33de7bc
:4d6bc4e9620ce841040974849ce4a39dc4781d33
:7428910de516f492d210b93cc0eb01f8d23681b8

dso_list:
:/lib/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1320287301
:/usr/lib/liblzma.so.5.0.99 xz-libs-5.1.1-1alpha.fc16.i686 (Fedora Project) 1320287302
:/usr/bin/pkcon PackageKit-0.6.19-3.fc16.i686 (Fedora Project) 1320287363
:/lib/libpthread-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1320287297
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1320287301
:/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.i686 (Fedora Project) 1320287300
:/usr/lib/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.i686 (Fedora Project) 1320287300
:/usr/lib/libarchive.so.2.8.5 libarchive-2.8.5-1.fc16.i686 (Fedora Project) 1320287327
:/lib/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.i686 (Fedora Project) 1320287300
:/lib/ld-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1320287297
:/lib/libselinux.so.1 libselinux-2.1.5-5.1.fc16.i686 (Fedora Project) 1320287300
:/lib/libz.so.1.2.5 zlib-1.2.5-4.fc16.i686 (Fedora Project) 1320287300
:/lib/libdl-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1320287297
:/lib/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1320287301
:/lib/libresolv-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1320287297
:/lib/librt-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1320287297
:/usr/lib/libpackagekit-glib2.so.14.0.10 PackageKit-glib-0.6.19-3.fc16.i686 (Fedora Project) 1320287363
:/lib/libc-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1320287297
:/lib/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1320287301
:/lib/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc16.i686 (Fedora Project) 1320287325
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.i686 (Fedora Project) 1320287297
:/lib/libacl.so.1.1.0 libacl-2.2.51-2.fc16.i686 (Fedora Project) 1320287302
:/lib/libattr.so.1.1.0 libattr-2.4.46-2.fc16.i686 (Fedora Project) 1320287300
:/lib/libm-2.14.90.so glibc-2.14.90-14.i686 (Fedora Project) 1320287297
:/lib/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1320287301
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.i686 (Fedora Project) 1320287300
:/lib/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.i686 (Fedora Project) 1320287301
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1320287302

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=eagle.air
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=36d04df162b77530e615513700000013-1332919384.788718-436437062
:GNOME_KEYRING_CONTROL=/tmp/keyring-Y5moSS
:IMSETTINGS_MODULE=none
:USER=mikolaj
:USERNAME=mikolaj
:MAIL=/var/spool/mail/mikolaj
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mikolaj/.local/bin:/home/mikolaj/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikolaj
:XMODIFIERS=@im=none
:EDITOR=emacs
:GNOME_KEYRING_PID=1370
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/mikolaj
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=mikolaj
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nyGbAnZ8ma,guid=0463eb612d260e4acfe83d3000000096
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/mikolaj
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mikolaj-edWJGO/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1374,unix/unix:/tmp/.ICE-unix/1374
:SSH_AUTH_SOCK=/tmp/keyring-Y5moSS/ssh
:GPG_AGENT_INFO=/tmp/keyring-Y5moSS/gpg:0:1
:LC_TIME=en_US.utf8
:LC_NUMERIC=en_US.utf8
:LC_MONETARY=en_US.utf8
:LC_MEASUREMENT=en_US.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

maps:
:00110000-00251000 r-xp 00000000 fd:02 1453       /lib/libgio-2.0.so.0.3000.1
:00251000-00253000 r--p 00141000 fd:02 1453       /lib/libgio-2.0.so.0.3000.1
:00253000-00254000 rw-p 00143000 fd:02 1453       /lib/libgio-2.0.so.0.3000.1
:00254000-00255000 rw-p 00000000 00:00 0 
:00255000-0026c000 r-xp 00000000 fd:02 1223       /lib/libpthread-2.14.90.so
:0026c000-0026d000 r--p 00016000 fd:02 1223       /lib/libpthread-2.14.90.so
:0026d000-0026e000 rw-p 00017000 fd:02 1223       /lib/libpthread-2.14.90.so
:0026e000-00270000 rw-p 00000000 00:00 0 
:00270000-00274000 r-xp 00000000 fd:02 1461       /lib/libgthread-2.0.so.0.3000.1
:00274000-00275000 r--p 00003000 fd:02 1461       /lib/libgthread-2.0.so.0.3000.1
:00275000-00276000 rw-p 00004000 fd:02 1461       /lib/libgthread-2.0.so.0.3000.1
:00276000-002bc000 r-xp 00000000 fd:02 152657     /usr/lib/libarchive.so.2.8.5
:002bc000-002bd000 r--p 00045000 fd:02 152657     /usr/lib/libarchive.so.2.8.5
:002bd000-002be000 rw-p 00046000 fd:02 152657     /usr/lib/libarchive.so.2.8.5
:002be000-002bf000 rw-p 00000000 00:00 0 
:002bf000-002d4000 r-xp 00000000 fd:02 1294       /lib/libz.so.1.2.5
:002d4000-002d5000 rw-p 00014000 fd:02 1294       /lib/libz.so.1.2.5
:002d5000-002f3000 r-xp 00000000 fd:02 1265       /lib/libselinux.so.1
:002f3000-002f4000 r--p 0001d000 fd:02 1265       /lib/libselinux.so.1
:002f4000-002f5000 rw-p 0001e000 fd:02 1265       /lib/libselinux.so.1
:002f5000-0030c000 r-xp 00000000 fd:02 1225       /lib/libresolv-2.14.90.so
:0030c000-0030d000 r--p 00016000 fd:02 1225       /lib/libresolv-2.14.90.so
:0030d000-0030e000 rw-p 00017000 fd:02 1225       /lib/libresolv-2.14.90.so
:0030e000-00310000 rw-p 00000000 00:00 0 
:00314000-00335000 r-xp 00000000 fd:02 1190       /lib/ld-2.14.90.so
:00335000-00336000 r--p 00020000 fd:02 1190       /lib/ld-2.14.90.so
:00336000-00337000 rw-p 00021000 fd:02 1190       /lib/ld-2.14.90.so
:00337000-0033e000 r-xp 00000000 fd:02 1661       /lib/libacl.so.1.1.0
:0033e000-0033f000 rw-p 00007000 fd:02 1661       /lib/libacl.so.1.1.0
:0033f000-0034e000 r-xp 00000000 fd:02 1341       /lib/libbz2.so.1.0.6
:0034e000-0034f000 rw-p 0000f000 fd:02 1341       /lib/libbz2.so.1.0.6
:00436000-0045d000 r-xp 00000000 fd:02 141463     /usr/lib/liblzma.so.5.0.99
:0045d000-0045e000 ---p 00027000 fd:02 141463     /usr/lib/liblzma.so.5.0.99
:0045e000-0045f000 r--p 00027000 fd:02 141463     /usr/lib/liblzma.so.5.0.99
:0045f000-00460000 rw-p 00028000 fd:02 141463     /usr/lib/liblzma.so.5.0.99
:00473000-00474000 r-xp 00000000 00:00 0          [vdso]
:004c5000-00513000 r-xp 00000000 fd:02 35964      /usr/lib/libpackagekit-glib2.so.14.0.10
:00513000-00515000 r--p 0004d000 fd:02 35964      /usr/lib/libpackagekit-glib2.so.14.0.10
:00515000-00516000 rw-p 0004f000 fd:02 35964      /usr/lib/libpackagekit-glib2.so.14.0.10
:0052c000-006d1000 r-xp 00000000 fd:02 1197       /lib/libc-2.14.90.so
:006d1000-006d3000 r--p 001a5000 fd:02 1197       /lib/libc-2.14.90.so
:006d3000-006d4000 rw-p 001a7000 fd:02 1197       /lib/libc-2.14.90.so
:006d4000-006d7000 rw-p 00000000 00:00 0 
:00709000-0070e000 r-xp 00000000 fd:02 140607     /usr/lib/libffi.so.5.0.10
:0070e000-0070f000 r--p 00005000 fd:02 140607     /usr/lib/libffi.so.5.0.10
:0070f000-00710000 rw-p 00006000 fd:02 140607     /usr/lib/libffi.so.5.0.10
:007ac000-007d5000 r-xp 00000000 fd:02 1205       /lib/libm-2.14.90.so
:007d5000-007d6000 r--p 00028000 fd:02 1205       /lib/libm-2.14.90.so
:007d6000-007d7000 rw-p 00029000 fd:02 1205       /lib/libm-2.14.90.so
:00833000-00857000 r-xp 00000000 fd:02 141459     /usr/lib/libdbus-glib-1.so.2.1.0
:00857000-00858000 rw-p 00024000 fd:02 141459     /usr/lib/libdbus-glib-1.so.2.1.0
:00865000-008ad000 r-xp 00000000 fd:02 1292       /lib/libdbus-1.so.3.5.6
:008ad000-008ae000 r--p 00047000 fd:02 1292       /lib/libdbus-1.so.3.5.6
:008ae000-008af000 rw-p 00048000 fd:02 1292       /lib/libdbus-1.so.3.5.6
:00933000-00936000 r-xp 00000000 fd:02 1203       /lib/libdl-2.14.90.so
:00936000-00937000 r--p 00002000 fd:02 1203       /lib/libdl-2.14.90.so
:00937000-00938000 rw-p 00003000 fd:02 1203       /lib/libdl-2.14.90.so
:009c6000-009ce000 r-xp 00000000 fd:02 1227       /lib/librt-2.14.90.so
:009ce000-009cf000 r--p 00007000 fd:02 1227       /lib/librt-2.14.90.so
:009cf000-009d0000 rw-p 00008000 fd:02 1227       /lib/librt-2.14.90.so
:009d0000-00b18000 r-xp 00000000 fd:02 140440     /usr/lib/libxml2.so.2.7.8
:00b18000-00b1d000 rw-p 00147000 fd:02 140440     /usr/lib/libxml2.so.2.7.8
:00b1d000-00b1e000 rw-p 00000000 00:00 0 
:00be5000-00c82000 r-xp 00000000 fd:02 140484     /usr/lib/libsqlite3.so.0.8.6
:00c82000-00c83000 ---p 0009d000 fd:02 140484     /usr/lib/libsqlite3.so.0.8.6
:00c83000-00c84000 r--p 0009d000 fd:02 140484     /usr/lib/libsqlite3.so.0.8.6
:00c84000-00c85000 rw-p 0009e000 fd:02 140484     /usr/lib/libsqlite3.so.0.8.6
:00c85000-00c86000 rw-p 00000000 00:00 0 
:00cbc000-00cc0000 r-xp 00000000 fd:02 1274       /lib/libattr.so.1.1.0
:00cc0000-00cc1000 rw-p 00003000 fd:02 1274       /lib/libattr.so.1.1.0
:00d0e000-00d5a000 r-xp 00000000 fd:02 1459       /lib/libgobject-2.0.so.0.3000.1
:00d5a000-00d5b000 r--p 0004c000 fd:02 1459       /lib/libgobject-2.0.so.0.3000.1
:00d5b000-00d5c000 rw-p 0004d000 fd:02 1459       /lib/libgobject-2.0.so.0.3000.1
:00d7e000-00d81000 r-xp 00000000 fd:02 1457       /lib/libgmodule-2.0.so.0.3000.1
:00d81000-00d82000 r--p 00002000 fd:02 1457       /lib/libgmodule-2.0.so.0.3000.1
:00d82000-00d83000 rw-p 00003000 fd:02 1457       /lib/libgmodule-2.0.so.0.3000.1
:00d9b000-00ebb000 r-xp 00000000 fd:02 1455       /lib/libglib-2.0.so.0.3000.1
:00ebb000-00ebc000 r--p 0011f000 fd:02 1455       /lib/libglib-2.0.so.0.3000.1
:00ebc000-00ebd000 rw-p 00120000 fd:02 1455       /lib/libglib-2.0.so.0.3000.1
:00ebd000-01030000 r-xp 00000000 fd:02 4837       /lib/libcrypto.so.1.0.0e
:01030000-01044000 rw-p 00172000 fd:02 4837       /lib/libcrypto.so.1.0.0e
:01044000-01047000 rw-p 00000000 00:00 0 
:08048000-08055000 r-xp 00000000 fd:02 35979      /usr/bin/pkcon
:08055000-08056000 r--p 0000c000 fd:02 35979      /usr/bin/pkcon
:08056000-08057000 rw-p 0000d000 fd:02 35979      /usr/bin/pkcon
:092b4000-092f6000 rw-p 00000000 00:00 0          [heap]
:b767c000-b787c000 r--p 00000000 fd:02 140320     /usr/lib/locale/locale-archive
:b787c000-b7883000 rw-p 00000000 00:00 0 
:b7891000-b7894000 rw-p 00000000 00:00 0 
:bfaa8000-bfac9000 rw-p 00000000 00:00 0          [stack]

smolt_data:
:
:
:General
:=================================
:UUID: 2c4748c7-7d60-42c2-8d11-87e196a9d798
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3324.69
:CPU Vendor: GenuineIntel
:CPU Model: Genuine Intel(R) CPU           T2300  @ 1.66GHz
:CPU Stepping: 8
:CPU Family: 6
:CPU Model Num: 14
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 2519
:System Swap: 2623
:Vendor: LENOVO
:System: 2007YGB ThinkPad T60
:Form factor: Notebook
:Kernel: 3.1.0-7.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:44118:6058:8210) pci, yenta_cardbus, PCI/CARDBUS, ThinkPad T60/R60 series
:(32902:10169:6058:8201) pci, None, PCI/ISA, ThinkPad T60/R60 series
:(32902:4250:6058:8193) pci, e1000e, ETHERNET, ThinkPad T60
:(32902:10196:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10198:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10192:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4098:29001:6058:8197) pci, radeon, VIDEO, M52 [Mobility Radeon X1300]
:(32902:10200:6058:8208) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T60/R60 series
:(32902:10207:6058:8204) pci, ata_piix, STORAGE, ThinkPad T60/R60 series
:(32902:10202:6058:8207) pci, i801_smbus, SERIAL, ThinkPad T60/R60 series
:(32902:16935:32902:4113) pci, iwl3945, NETWORK, ThinkPad R60e/X60s
:(32902:9288:6058:8211) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10181:6058:8205) pci, ahci, STORAGE, ThinkPad T60/R60 series
:(32902:10185:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10184:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10144:6058:8213) pci, None, HOST/PCI, ThinkPad T60
:(32902:10186:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10187:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10188:6058:8203) pci, ehci_hcd, USB, ThinkPad T60/R60 series
:(32902:10145:6058:8212) pci, pcieport, PCI/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_eagle-root / ext4 4096 4096 7272987 6210083 6136214 1851392 1743867 1743867
:/dev/mapper/vg_eagle-boot /boot ext4 4096 4096 177384 166957 157946 45120 44897 44897
:/dev/mapper/vg_eagle-home /home ext4 4096 4096 6305563 5313627 4993320 1602496 1585552 1585552
:

var_log_messages:
:Mar 28 09:31:11 eagle kernel: [  637.120502] pkcon[2241]: segfault at 409 ip 00d22b8f sp bfac85c0 error 4 in libgobject-2.0.so.0.3000.1[d0e000+4c000]
:Mar 28 09:31:11 eagle kernel: [  637.128990] pkcon[2267]: segfault at 409 ip 0065db8f sp bfe415e0 error 4 in libgobject-2.0.so.0.3000.1[649000+4c000]
:Mar 28 09:31:11 eagle abrt[2358]: not dumping repeating crash in '/usr/bin/pkcon'
:Mar 28 09:31:11 eagle abrt[2357]: saved core dump of pid 2241 (/usr/bin/pkcon) to /var/spool/abrt/ccpp-2012-03-28-09:31:11-2241 (897024 bytes)

Comment 1 mikolajbugs 2012-03-28 11:36:35 UTC
Package: PackageKit-0.6.19-3.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I started firefox.

Comment 2 mikolajbugs 2012-03-28 11:52:36 UTC
Package: PackageKit-0.6.19-3.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
So, every time I run firefox package kit crashes.

Comment 3 Fedora End Of Life 2013-01-16 13:48:19 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 14:42:26 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.